section{
  scroll-margin-top: 100px;
}

*{
  box-sizing: border-box;
}

html, body {
  overflow-x: hidden;
}

html {
  scroll-behavior: smooth;
  font-size: 18px;
}

body{
  font-family: 'Poppins', sans-serif;
  color: #333;
  margin: 0;
  
  padding-top: 80px; /* altura do menu */
}


/* 
    PALETA DO SITE

FUNDO PRINCIPAL → #f4fbf8
FUNDO SEÇÕES → #f9f9f9
FUNDO FOOTER → #1f1f1f

VERDE PRINCIPAL → #28a745
VERDE HOVER → #23913b
VERDE SUAVE → #e9f7ef

TEXTO PRINCIPAL → #333
TEXTO SECUNDÁRIO → #555
TEXTO CLARO → #ccc
TEXTO FOOTER → #eee

SOMBRAS:
box-shadow: 0px 10px 25px rgba(0,0,0,0.15);
box-shadow: 0px 8px 20px rgba(0,0,0,0.25);
*/


/* TÍTULOS */

h1, h2, h3{
  font-family: 'Playfair Display', serif;
  font-weight: 700;
}

/* NAVBAR */

.navbar{
  background-color: #f4fbf8;
  padding: 15px 20px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
  
}

.nav-container{
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* BRAND */

.brand{
  display: flex;
  align-items: center;
  gap: 12px;
}

.logo-img{
  width: 45px;
  height: 45px;
 
}

.brand-text{
  display: flex;
  flex-direction: column;
}

.name{
  font-size: 20px;
  font-weight: 700;
}

.subtitle{
  font-size: 12px;
  color: #28a745;
}

/* LINKS */



.nav-links.active{

display: flex;

}

.nav-links{
  list-style: none;
  display: flex;
  gap: 30px;
}

.nav-links a{
  text-decoration: none;
  color: #333;
  font-weight: 500;
  transition: 0.3s;
}

.nav-links a:hover{
  color: #28a745;
}

/* BOTÃO NAV */

.btn-nav{
  background-color: #28a745;
  color: white;
  padding: 10px 22px;
  border-radius: 30px;
  text-decoration: none;
  font-weight: bold;
  transition: 0.3s;
}

.btn-nav:hover{
  background-color: #23913b;
  transform: translateY(-2px);
}

.menu-toggle.active span:nth-child(1){
  transform: rotate(45deg) translate(5px, 5px);
}

.menu-toggle.active span:nth-child(2){
  opacity: 0;
}

.menu-toggle.active span:nth-child(3){
  transform: rotate(-45deg) translate(5px, -5px);
}


/* HERO */

.hero{
  background-color: #f4fbf8;
  padding: 30px 20px;
}

.hero-container{
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  max-width: 1200px;
  margin: 0 auto;
  gap: 40px;
  padding: 30px 20px;
  border-radius: 12px;
  box-shadow: 0px 10px 25px rgba(0,0,0,0.15);
}

.hero-main{
  display: flex;
  gap: 40px;
  align-items: flex-start;
  width: 70%;
}

.hero-image{
  width: 50%;
  display: flex;
  justify-content: flex-end;
 
}

.hero-image img{
  width: 90%;
  
  border-radius: 25px;
  box-shadow: 0px 10px 25px rgba(0,0,0,0.15);
  
}

.hero-text{
  width: 50%;
  max-width: 420px;
  display: flex;
  flex-direction: column;
}

.badge{

 background: #e9f7ef;
  padding: 8px 14px;
  border-radius: 20px;
  display: inline-block;
  font-size: 14px;
  color: #28a745;
  margin-top: 10px;
  font-weight: bold;
  



}


/* TEXTOS */

h1{
  font-size: 34px;
  margin-bottom: 20px;
}

.introduction h2{
  font-size: 34px;
}

p{
  font-size: 18px;
  line-height: 1.6;
  color: #555;
  margin-bottom: 20px;
  max-width: 500px;
}

/* BOTÃO */

.btn{
  display: inline-block;
  font-size: 18px;
  background-color: #28a745;
  color:#fff;
  padding: 14px 28px;
  border-radius: 56px;
  font-weight: bold;
  box-shadow: 0px 4px 10px rgba(0,0,0,0.15);
  transition: 0.3s;
  text-decoration: none;
  text-align: center;
}

.btn:hover {
  background-color:#23913b;
  transform: translateY(-3px);
}

/* SERVICES */

.services-cards{
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 30px;
  background-color: #f9f9f9;
}

.card{
  width: 320px;
  padding: 16px;
  border-radius: 12px;
  text-align: left;
  box-shadow: 0px 10px 25px rgba(0,0,0,0.15);
  background: #fff;
  border-top: 4px solid #28a745;
}

.card-img1{
  width: 100%;
  height: 220px;
  object-fit: top;
  border-radius: 10px;
  margin-bottom: 10px;
}

/* ABOUT */

.about{
  margin-top: 30px;
  background-color: #f9f9f9;
}

.container-about{
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* CARD */

.box{
  background-color: #fff;
  padding: 20px;
  border-radius: 12px;
  box-shadow: 0px 10px 25px rgba(0,0,0,0.15);
}

/* LAYOUT */

.layout{
  display: flex;
  gap: 40px;
}

.introduction{
  width: 60%;
  padding: 32px;
}

.specilisation{
  margin-top: 50px;
  width: 40%;
}

.specilisation ul{
  list-style: none;
}

/* TEXTO CENTRAL */

.close{
  text-align: center;
  padding: 30px;
}

.close h3{
  font-size: 26px;
  margin-bottom: 10px;
}

.close h3 i{
  color: #28a745;
  margin-right: 8px;
}

/* DESTAQUE */

.destaque{
  display: block;
  font-size: 20px;
  font-weight: 500;
  margin: 0 auto 18px;
}

/* TEXTO */

.sobre-texto{
  max-width: 700px;
  margin: 0 auto;
  text-align:center;
  justify-items: center;
}

.sobre-texto p{
  margin-bottom: 15px;
}

/*  AVALIAÇÕES  */

.testimonials{
  background-color: #f4fbf8;
  padding: 50px 20px;
  text-align: center;
}

.testimonials h2{
  margin-bottom: 30px;
}

.testimonials-container{
  display: grid;
  grid-template-columns: repeat(3, 280px);
  justify-content: center;
  gap: 25px;
  width: fit-content;
  margin: 0 auto;
}

.testimonial{
  flex: 1 1 280px; 
  max-width: 280px;
  background: #fff;
  padding: 20px;
  border-radius: 12px;
  box-shadow: 0px 10px 25px rgba(0,0,0,0.15);
  transition: 0.3s;

}

.testimonial:hover{
  transform: translateY(-5px);
  transition: 0.3s;
}

.testimonial:hover .stars i {
  transform: scale(1.2);
}

.foto{
  width: 89px;
  height: 95px;
  border-radius: 60%;
  object-fit: cover;
  margin-bottom: 10px;
   
}

.testimonial p{
  font-style: italic;
}

.testimonial span{
  display: block;
  margin-top: 10px;
  font-weight: bold;
  color: #28a745;

}

/* BLOCO FINAL */

.closing{
  display: flex;
  gap: 25px;
}

.info, .contact{
  width: 50%;
}

.contact i, .info i{
  color: #28a745;
}

.stars{

color: #ffc107;
margin-bottom: 10px ;
transition: 0.3s;
cursor: pointer;



}

.horario{

background: #e9f7ef;
  padding: 8px 14px;
  border-radius: 20px;
  display: inline-block;
  font-size: 14px;
  color: #28a745;
  margin-top: 10px;
  font-weight: bold;
  


}

.stars i{
  transition: 0.3s;
}

.stars i:hover{

transform: scale(1.3);
color: #ff9800;
 transition: 0.3s;



}



/* FOOTER */



.footer-nav{

align-items: center;
justify-content: center;

}


.footer-links h4{
  text-align: left;
    margin-bottom: 15px;
}


.footer{
  background-color: #1f1f1f;
  color: #eee;
  padding: 50px 20px;
}

.footer-links {
text-align: left; 

}
.footer-links a{
  color: #ccc;  
  display: flex;
  align-items: center;
  gap: 10px;         /* cor clara */
  font-size: 16px;       /* maior */
  font-weight: 500;
  text-decoration: none; /* tira sublinhado feio */
  transition: 0.3s;
}

.footer-links a:hover{
  color: #28a745; /* verde do seu site */
  transform: translateX(5px); /* leve movimento */
}


.footer-links i{
  color: #28a745;
  font-size: 18px;
  margin-bottom: 12px;
}

.footer-links ul{
list-style: none;
  padding: 0;

}
.footer-ul{
list-style: none;


}
.footer-links li{
  margin-bottom: 12px;
}




.footer-container{
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.footer-bottom{
  margin-top: 20px;
  display: flex;
  justify-content: space-between;
}

/* RESPONSIVO */


html, body {
  overflow-x: hidden;
}
* {
  max-width: 100%;
}

/* menu do mobile*/
.menu-toggle{

  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;

}

.menu-toggle span{ 

width: 25px;
height: 3px;
background: #333;
 display: block;
transition: 0.3s;


}
.footer-social h4{
  margin-bottom: 15px;
}
.social-icons a{
  width: 45px;
  height: 45px;
  background: #2a2a2a;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #ccc;
  font-size: 20px;
  transition: 0.3s;
  text-decoration: none;
}

.social-icons a:hover{
  background: #28a745;
  color: #fff;
  transform: translateY(-3px);
}


.footer-logo{
  width: 50px;
  margin-bottom: 10px;
  border-radius: 6px;
}








@media (max-width: 900px){

  .hero-container{
    flex-direction: column;
  }

  .hero-main{
    flex-direction: column;
    width: 100%;
  }

  .layout{
    flex-direction: column;
  }

  .closing{
    flex-direction: column;
  }

  .services-cards{
    flex-direction: column;
  }

}
/* RESPONSIVO CORRETO (SEM QUEBRAR DESKTOP) */

@media (max-width: 768px){

  body{
    overflow-x: hidden;
  }

  /* NAV */
  .nav-links{
    display: none; 
    flex-direction: column;
    background-color: #fff;
    position: absolute;
    top:70px ;
    right: 20px;
    width: 200px;
     padding: 20px;
      border-radius: 10px;
       box-shadow: 0px 10px 25px rgba(0,0,0,0.15);

  }

  .nav-container{
    flex-wrap: wrap;
  }

  .menu-toggle{
    display: flex;


  }

  /* HERO */
  .hero-container{
    flex-direction: column;
    gap: 20px;
    padding: 20px;
  }

  .hero-main{
    flex-direction: column;
    width: 100%;
  }

  .hero-text{
    width: 100%;
    max-width: 100%;
  }

  .hero-image{
    width: 100%;
    justify-content: center;
  }

  .hero-image img{
    width: 100%;
    max-width: 280px;
  }

  /* SERVICES */
  .services-cards{
    flex-direction: column;
    align-items: center;
  }

  .card{
    width: 90%;
  }

  /* ABOUT */
  .layout{
    flex-direction: column;
  }

  .closing{
    flex-direction: column;
  }

  .info, .contact{
    width: 100%;
  }

  /* TESTIMONIALS */
  .testimonials-container{
  grid-template-columns: 1fr;
  width: 100%;
  width: fit-content;
}

  /* FOOTER */
  .footer-container{
    flex-direction: column;
    gap: 20px;
  }

  .footer-bottom{
    flex-direction: column;
    gap: 10px;
    text-align: center;
  }

}